Read transaction rule
curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/transaction_rules/{transaction_rule_guid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/transaction_rules/{transaction_rule_guid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/transaction_rules/{transaction_rule_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_rule": {
"category_guid": "CAT-b1de2a04-db08-b6ed-f6fe-ca2f5b11c2d0",
"created_at": "2018-10-02T22:00:50+00:00",
"description": "Wal-mart food storage",
"guid": "TXR-a080e0f9-a2d4-4d6f-9e03-672cc357a4d3",
"match_description": "Wal-mart",
"updated_at": "2018-10-02T23:54:40+00:00",
"user_guid": "USR-22fc3203-b3e6-8340-43db-8e50b2f56995"
}
}Transaction Rules
Read transaction rule
GET
/
users
/
{user_guid}
/
transaction_rules
/
{transaction_rule_guid}
Read transaction rule
Use this endpoint to read the attributes of an existing transaction rule based on the rule’s unique GUID.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique id for a transaction_rule.
The unique identifier for a user, beginning with the prefix USR-.
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Example:
"CAT-b1de2a04-db08-b6ed-f6fe-ca2f5b11c2d0"
Example:
"2018-10-02T22:00:50+00:00"
Example:
"Wal-mart food storage"
Example:
"TXR-a080e0f9-a2d4-4d6f-9e03-672cc357a4d3"
Example:
"Wal-mart"
Example:
"2018-10-02T23:54:40+00:00"
Example:
"USR-22fc3203-b3e6-8340-43db-8e50b2f56995"
⌘I

